## kf6-sonnet 6.6.0

=== debian/changelog ===
kf6-sonnet (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:09:34 +0100

kf6-sonnet (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Mark a symbol optional.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:40 +0100

kf6-sonnet (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:37:00 +0100
