=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kf6-sonnet
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: aspell,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
+               aspell,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
                libvoikko-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-               xauth,
-               xvfb,
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/sonnet
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet.git
 Rules-Requires-Root: no
 
 Package: sonnet6-plugins
@@ -50,7 +50,7 @@
 Package: libkf6sonnet-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: spell checking library for Qt, data files
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -65,7 +65,8 @@
 Depends: libkf6sonnet-dev-bin (= ${binary:Version}),
          libkf6sonnetcore6 (= ${binary:Version}),
          libkf6sonnetui6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qml6-module-org-kde-sonnet (= ${binary:Version}),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6sonnet-doc (= ${source:Version}),
@@ -127,8 +128,7 @@
  by projects to construct spell checking user interfaces.
 
 Package: qml6-module-org-kde-sonnet
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: spell checking library for Qt, plugins
