=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                aspell,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
